<?php

namespace Modules\Dummy\Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Database\Eloquent\Model;

use Modules\Dummy\Database\Seeders\{
    Core\DatabaseSeeder as CoreDatabaseSeeder,
    Modules\DatabaseSeeder as ModulesDatabaseSeeder
};

class DummyImportDatabaseSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        Model::unguard();

        $this->call(CoreDatabaseSeeder::class);
        $this->call(ModulesDatabaseSeeder::class);
    }
}
